﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
<%@ Import Namespace="HLWebOKBQueryPlugin.Models" %>
<%@ Import Namespace="HLWebOKBQueryPlugin.OKBQueryService" %>
<%@ Import Namespace="HLWebOKBQueryPlugin.ViewModels" %>

<!-- Put all into a form that calls the "AddFilter" Action-->
<div><table>
<tr><td>A<br />N<br />D</td><td>
<p>
    <%
        CombinedFilter topFilter = ((FilterModel)Model).Content;
    %>
    <% using (Html.BeginForm("AddFilterAnd", "Filter", FormMethod.Post, new { id = topFilter.Id, name = topFilter.Id })) %>
    <% {    
           
            foreach (Filter fNode in topFilter.Filters)
            {

                CombinedFilter currentFilter = (CombinedFilter)fNode;
                string comboboxName = FilterModel.ComboboxName + "." + currentFilter.Id;
                string hiddenName = FilterModel.ParentIdName + "." + currentFilter.Id;
    %>
    <%: Html.Hidden(hiddenName,currentFilter.Id.ToString()) %>
    <%: Html.DropDownList( comboboxName, new SelectList(((FilterModel)Model).AvailableFilterForCombobox, "FilterTypeName", "Label"))%>
    <input type="submit" name="submitButton" value="+.<%:currentFilter.Id%>" />
</p>
<!-- Build the selected filters. The filtesr will be stored in the session and the
Controller puts the current filters from the session into the model. Selected Filters
will be iterated. -->
<% if (currentFilter.Filters != null)
   {

       foreach (Filter f in currentFilter.Filters)
       {
           if (f != null)
           {  %>

           <table border="0"><tr><td>
    <%
           

if ("StringComparisonFilter".Equals(f.GetType().Name))
{  %>
    <% StringComparisonFilter filter = ((StringComparisonFilter)f); %>
    <%: Html.Label(filter.Label)%>
    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.StringComparisons, "Value", "Text",(int)filter.Comparison))%>   
    <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, (filter.Value))%>
    <% }
else if ("NameStringComparisonFilter".Equals(f.GetType().Name))
{ %>
    <% NameStringComparisonFilter filter = ((NameStringComparisonFilter)f); %>
    <%: Html.Label(filter.Label)%>
    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.StringComparisons, "Value", "Text",(int)filter.Comparison))%>   
    <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
    <% }
else if ("StringComparisonAvailableValuesFilter".Equals(f.GetType().Name))
{ %>
    <% StringComparisonAvailableValuesFilter filter = ((StringComparisonAvailableValuesFilter)f); %>
    <%: Html.Label(filter.Label)%>
    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.StringComparisons, "Value", "Text",(int)filter.Comparison))%>   
    <%: Html.DropDownList(f.Id + "." + FilterModel.ValueTextbox, new SelectList(filter.AvailableValues, filter.Value))%>
    <% }
else if ("NameEqualityComparisonByteArrayFilter".Equals(f.GetType().Name))
{ %>
    <% NameEqualityComparisonByteArrayFilter filter = ((NameEqualityComparisonByteArrayFilter)f); %>
    <%: Html.Label(filter.Label)%>
    <%: Html.Label("not supported")%>
    <% }
else if ("NameEqualityComparisonBoolFilter".Equals(f.GetType().Name))
{ %>
    <% NameEqualityComparisonBoolFilter filter = ((NameEqualityComparisonBoolFilter)f);   %>
    <%: Html.Label(filter.Label)%>
    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.BoolComparisons, "Value", "Text",(int)filter.Comparison))%>      
    <%: Html.DropDownList(f.Id + "." + FilterModel.ValueDropDownList, new SelectList(((FilterModel)Model).BoolStates, filter.Value))%>
    <% }
else if ("NameOrdinalComparisonIntFilter".Equals(f.GetType().Name))
{ %>
    <% NameOrdinalComparisonIntFilter filter = ((NameOrdinalComparisonIntFilter)f);   %>
    <%: Html.Label(filter.Label)%>
    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.OrdinalComparisons, "Value", "Text", (int)filter.Comparison))%>
    <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
    <% }
else if ("NameStringComparisonAvailableValuesFilter".Equals(f.GetType().Name))
{ %>
    <% NameStringComparisonAvailableValuesFilter filter = ((NameStringComparisonAvailableValuesFilter)f);   %>
    <%: Html.Label(filter.Label)%>
    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.StringComparisons, "Value", "Text",(int)filter.Comparison))%>   
    <%: Html.DropDownList(f.Id + "." + FilterModel.ValueDropDownList, new SelectList(filter.AvailableValues, filter.Value))%>
    <% }
else if ("NameOrdinalComparisonDoubleFilter".Equals(f.GetType().Name))
{ %>
    <% NameOrdinalComparisonDoubleFilter filter = ((NameOrdinalComparisonDoubleFilter)f);   %>
    <%: Html.Label(filter.Label)%>
    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.OrdinalComparisons, "Value", "Text", (int)filter.Comparison))%>
    <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
    <% }
else if ("NameOrdinalComparisonFloatFilter".Equals(f.GetType().Name))
{ %>
    <% NameOrdinalComparisonFloatFilter filter = ((NameOrdinalComparisonFloatFilter)f);   %>
    <%: Html.Label(filter.Label)%>
    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.OrdinalComparisons, "Value", "Text", (int)filter.Comparison))%>
    <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
    <% }
else if ("NameOrdinalComparisonLongFilter".Equals(f.GetType().Name))
{ %>
    <% NameOrdinalComparisonLongFilter filter = ((NameOrdinalComparisonLongFilter)f);   %>
    <%: Html.Label(filter.Label)%>
    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.OrdinalComparisons, "Value", "Text", (int)filter.Comparison))%>
    <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
    <% }
else if ("OrdinalComparisonDateTimeFilter".Equals(f.GetType().Name))
{ %>
    <% OrdinalComparisonDateTimeFilter filter = ((OrdinalComparisonDateTimeFilter)f);   %>
    <%: Html.Label(filter.Label)%>
    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.OrdinalComparisons, "Value", "Text", (int)filter.Comparison))%>
    <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
    <% }                 
                  
    %>

    <input type="submit" name="submitButton" value="-.<%:f.Id%>"    />
   
<% }%>
    </td></tr></table>
    <% } %>
 <%  }%>
   <% }%>
 <input type="submit" name="submitButton"  value="or" />
 </br>
 <input type="submit" name="submitButton" value="runs" />

  

<% }
      
%> </td></tr>
</table></div>